Eclipse GEF 3.3

## org.eclipse.gef.palette
Class CreationToolEntry

    java.lang.Object
      org.eclipse.gef.palette.PaletteEntry
          org.eclipse.gef.palette.ToolEntry
              org.eclipse.gef.palette.CreationToolEntry

Direct Known Subclasses:
  CombinedTemplateCreationEntry, ConnectionCreationToolEntry

public class CreationToolEntry
extends ToolEntry

A palette ToolEntry for a `CreationTool`.

Since:
  2.1

Field Summary
`protected CreationFactory` `factory` Deprecated. in 3.1. This field will be removed in future releases. The factory is being provided to the tool via the `ToolEntry.setToolProperty(Object, Object)` method.

Fields inherited from class org.eclipse.gef.palette.ToolEntry
`PALETTE_TYPE_TOOL`

Fields inherited from class org.eclipse.gef.palette.PaletteEntry
`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

Constructor Summary
`CreationToolEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)` Constructor for CreationToolEntry.

Methods inherited from class org.eclipse.gef.palette.ToolEntry
`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

Methods inherited from class org.eclipse.gef.palette.PaletteEntry
`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### factory

    protected final CreationFactory factory

  Deprecated. in 3.1. This field will be removed in future releases. The factory is being provided to the tool via the `ToolEntry.setToolProperty(Object, Object)` method.

  The creation factory used with the returned creation tool.

Constructor Detail

### CreationToolEntry

    public CreationToolEntry(String label,
                             String shortDesc,
                             CreationFactory factory,
                             ImageDescriptor iconSmall,
                             ImageDescriptor iconLarge)

  Constructor for CreationToolEntry.

Parameters:
  `label` - the label
  `shortDesc` - the description
  `factory` - the CreationFactory
  `iconSmall` - the small icon
  `iconLarge` - the large icon

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.